## libpgjava 7.4.2

=== src/tutorial/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for tutorial
#
# IDENTIFICATION
#    $Header: /cvsroot/pgsql-server/src/tutorial/Makefile,v 1.16 2002/09/05 18:28:46 petere Exp $
#
#-------------------------------------------------------------------------

subdir = src/tutorial
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

override CFLAGS+= $(CFLAGS_SL)
SHLIB_LINK = $(BE_DLLLIBS)

#
# DLOBJS are the dynamically-loaded object files.  The "funcs" queries
# include CREATE FUNCTIONs that load routines from these files.
#
DLOBJS= complex$(DLSUFFIX) funcs$(DLSUFFIX)

QUERIES= advanced.sql basics.sql complex.sql funcs.sql syscat.sql

all: $(DLOBJS) $(QUERIES)

%.sql: %.source
	rm -f $@; \
	C=`pwd`; \
	sed -e "s:_OBJWD_:$$C:g" < $< > $@

clean distclean maintainer-clean:
	rm -f $(DLOBJS) $(QUERIES)

=== src/interfaces/jdbc/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for JDBC driver
#
# Copyright (c) 2001, PostgreSQL Global Development Group
#
# $Header: /cvsroot/pgsql-server/src/interfaces/jdbc/Attic/Makefile,v 1.38 2003/02/12 06:13:04 barry Exp $
#
#-------------------------------------------------------------------------

subdir = src/interfaces/jdbc
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

majorversion:= $(shell echo $(VERSION) | sed 's/^\([0-9][0-9]*\)\..*$$/\1/')
minorversion:= $(shell echo $(VERSION) | sed 's/^[0-9][0-9]*\.\([0-9][0-9]*\).*$$/\1/')

build.properties: $(top_builddir)/src/Makefile.global
	@echo "# This file was created by 'make build.properties'." > build.properties
	@echo major=$(majorversion) >> build.properties
	@echo minor=$(minorversion) >> build.properties
	@echo fullversion=$(VERSION) >> build.properties
	@echo def_pgport=$(DEF_PGPORT) >> build.properties
	@echo enable_debug=$(enable_debug) >> build.properties

all: build.properties
	$(ANT) -buildfile $(srcdir)/build.xml all

install: installdirs build.properties
	$(ANT) -buildfile $(srcdir)/build.xml install \
	  -Dinstall.directory=$(javadir)

installdirs:
	$(mkinstalldirs) $(javadir) 

uninstall:
	$(ANT) -buildfile $(srcdir)/build.xml uninstall \
	  -Dinstall.directory=$(javadir)

clean distclean maintainer-clean:
	$(ANT) -buildfile $(srcdir)/build.xml clean_all

check: build.properties
	$(ANT) -buildfile $(srcdir)/build.xml test

=== src/interfaces/libpgtcl/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for libpgtcl library
#
# Copyright (c) 1994, Regents of the University of California
#
# $Header: /cvsroot/pgsql-server/src/interfaces/libpgtcl/Makefile,v 1.33.2.1 2004/02/10 07:26:48 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/interfaces/libpgtcl
top_builddir = ../../..
include ../../Makefile.global

NAME= pgtcl
SO_MAJOR_VERSION= 2
SO_MINOR_VERSION= 4

override CPPFLAGS := -I$(libpq_srcdir) $(CPPFLAGS) $(TCL_INCLUDE_SPEC)

OBJS= pgtcl.o pgtclCmds.o pgtclId.o

SHLIB_LINK = $(libpq) $(TCL_LIB_SPEC) $(TCL_LIBS) \
	$(filter -lintl -lssl -lcrypto -lkrb5 -lcrypt, $(LIBS)) $(THREAD_LIBS)

all: submake-libpq all-lib

# Shared library stuff
include $(top_srcdir)/src/Makefile.shlib

install: all installdirs install-headers install-lib

.PHONY: install-headers
install-headers: libpgtcl.h
	$(INSTALL_DATA) $< $(DESTDIR)$(includedir)/libpgtcl.h

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(includedir)

uninstall: uninstall-lib
	rm -f $(DESTDIR)$(includedir)/libpgtcl.h

clean distclean maintainer-clean: clean-lib
	rm -f $(OBJS)

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

ifeq (depend,$(wildcard depend))
include depend
endif

=== src/pl/plpython/Makefile ===
# $Header: /cvsroot/pgsql-server/src/pl/plpython/Makefile,v 1.11.6.1 2004/01/21 19:25:11 tgl Exp $

subdir = src/pl/plpython
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


# On some platforms we can only build PL/Python if libpython is a
# shared library.  Since there is no official way to determine this,
# we see if there is a file that is named like a shared library.
ifneq (,$(wildcard $(python_configdir)/libpython*$(DLSUFFIX)*))
shared_libpython = yes
endif

# If we don't have a shared library and the platform doesn't allow it
# to work without, we have to skip it.
ifneq (,$(findstring yes, $(shared_libpython)$(allow_nonpic_in_shlib)))

override CPPFLAGS := -I$(srcdir) $(python_includespec) $(CPPFLAGS)
rpath :=

NAME = plpython
SO_MAJOR_VERSION = 0
SO_MINOR_VERSION = 0
OBJS = plpython.o

SHLIB_LINK = $(BE_DLLLIBS) $(python_libspec)

include $(top_srcdir)/src/Makefile.shlib


all: all-lib

install: all installdirs
ifeq ($(enable_shared), yes)
	$(INSTALL_SHLIB) $(shlib) $(DESTDIR)$(pkglibdir)/plpython$(DLSUFFIX)
else
	@echo "*****"; \
	 echo "* PL/Python was not installed due to lack of shared library support."; \
	 echo "*****"
endif

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pkglibdir)

uninstall:
	rm -f $(DESTDIR)$(pkglibdir)/plpython$(DLSUFFIX)

clean distclean maintainer-clean: clean-lib
	rm -f $(OBJS)
	@rm -f error.diff feature.diff error.output feature.output test.log

installcheck:
	PATH=$(bindir):$$PATH $(SHELL) $(srcdir)/test.sh

else # can't build

all:
	@echo ""; \
	 echo "*** Cannot build PL/Python because libpython is not a shared library." ; \
	 echo "*** You might have to rebuild your Python installation.  Refer to"; \
	 echo "*** the documentation for details."; \
	 echo ""

endif # can't build

## libpgjava 6.3.2-1

=== debian/changelog ===
libpgjava (6.3.2-1) frozen unstable; urgency=low

  * 6.3.2-1 Upstream bugfixing release

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Mon, 20 Apr 1998 17:17:30 +0100

libpgjava (6.3.1-5) frozen unstable; urgency=low

  * Separated libpgjava from postgresql because of its dependency for
    compilation on non-free jdk.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Tue, 31 Mar 1998 22:58:25 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Oliver.Elphick@lfix.co.uk"
End:

=== debian/control ===
Source: libpgjava
Section: contrib/misc
Priority: optional
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 2.4.0.0

Package: libpgjava
Architecture: any
Section: contrib/libs
Depends: jdk1.1-runtime (>= 1.1.3.v2-1), libpgsql (>= 6.3)
Conflicts: postgresql (<< 6.3)
Suggests: postgresql-doc
Description: JDBC Java class archive for PostgreSQL.
 A java class archive of classes that enable communication with
 the PostgreSQL database backend using JDBC.

## libpgjava 6.3.2-2

=== debian/changelog ===
libpgjava (6.3.2-2) unstable; urgency=low

  * Changed dependency from jdk-runtime to jdk1.1

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sat,  3 Oct 1998 11:13:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Package: libpgjava
 Architecture: any
 Section: contrib/libs
-Depends: jdk1.1-runtime (>= 1.1.3.v2-1), libpgsql (>= 6.3)
+Depends: jdk1.1, libpgsql (>= 6.3)
 Conflicts: postgresql (<< 6.3)
 Suggests: postgresql-doc
 Description: JDBC Java class archive for PostgreSQL.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1997 by Oliver Elphick.
# Available for use under the same licence terms as the upstream package,
# (mutatis mutandis).

package=	libpgjava
version=	6.3.1

HERE :=		$(shell pwd)
TMPFILE := 	$(shell mktemp /tmp/postgresql.XXXXXX)
debtmp=		$(HERE)/debian/tmp
doctmp=		$(HERE)/debian/postgresql-doc/usr/doc/postgresql-doc

build-stamp:	build

build:	
	cd src/interfaces/jdbc && make all
	touch build-stamp

clean:
	dh_testdir -v
	-cd src/interfaces/jdbc && make clean
	dh_clean -v

binary-indep:	
	echo There is no architecture-independent binary for this package

binary-arch:	build-stamp
	dh_testdir -v
	dh_testroot -v
	dh_clean -k -v
	dh_installdirs -v
	install -m 644 src/interfaces/jdbc/postgresql.jar \
		debian/tmp/usr/lib/postgresql/lib
	dh_installdocs -v src/interfaces/jdbc/README
	dh_installexamples -v src/interfaces/jdbc/example/*
	dh_installchangelogs -v
	dh_strip -v
	dh_compress -v
	dh_fixperms -v
	chmod a-x debian/tmp/usr/lib/postgresql/lib/postgresql.jar
	dh_installdeb -v
	dh_shlibdeps -v
	dh_gencontrol -v
	dh_md5sums -v
	dh_builddeb -v


# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## libpgjava 8.4-702

=== debian/changelog ===
libpgjava (8.4-702-1) unstable; urgency=low

  * New upstream release (closes: #612643)
  * Build JDBC4 libraries in addition to JDBC3.
  * Use debhelper and javahelper rather than cdbs
  * Updated Standards-Version to 3.9.1.
  * Don't depend on a jre (to match current java package policy)
  * Added myself to Uploaders.
  * Changed source format to 3.0 (quilt).
  * Added a package containing the public API documentation.

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sat, 12 Feb 2011 16:41:22 +0000

libpgjava (8.4-701-1) unstable; urgency=low

  * New upstream release.
  * Removed all old unused JDBC2 stuff.
  * Moved java-gcj-compat-dev and ant to Build-Depends.
  * Make libpg-java Depends on default-jre-headless and its headless
    friends.
  * Build-Depends on debhelper >= 7.
  * Moved package to section 'java'.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Sep 2009 13:39:36 +0200

libpgjava (8.2-504-2) unstable; urgency=low

  * Updated description to mention PostgreSQL 8.3 as supported.
    Closes: #398348
  * Removed libpgjava transitional package. Closes: #477557
  * Moved debhelper and cdbs from Build-Depends-Indep to Build-Depends.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Added watch file.
  * Added myself to Uploaders.
  * Removed Stafan and Wolfgang from Uploaders.
  * Updated Standards-Version to 3.7.3
  * Updated debhelper level to 5.

 -- Michael Koch <konqueror@gmx.de>  Sat, 26 Apr 2008 22:01:11 +0200

libpgjava (8.2-504-1) unstable; urgency=low

  * New upstream version, supporting Postgresql 8.2.
  * Build using java-gcj-compat-dev.

 -- Matthias Klose <doko@debian.org>  Sat,  6 Jan 2007 15:03:58 +0100

libpgjava (8.1-405-1) unstable; urgency=low

  * Drop support for the old jdbc2 driver (can be reverted if wanted)
    (closes: #358345).
  * New upstream (thanks to Wolfgang Baer).

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 25 Apr 2006 00:07:07 +0200

libpgjava (8.1-404-1) unstable; urgency=low

  * New upstream release (closes: #340739)
  * Removed build.compiler property in debian/rules as preset in kaffe

 -- Wolfgang Baer <WBaer@gmx.de>  Tue, 29 Nov 2005 14:41:36 +0100

libpgjava (8.0-312-1) unstable; urgency=low

  * New upstream release
    + Supports Postgresql 7.2 up to 8.0 releases
    + Upstream supplies its own source packages for the jdbc driver 
      starting with release 8.0 - no longer extracted from postgresql
  * Changed library name to comply with java policy (closes: #275417)
    + Added conflicts, replaces with old binary
    + Changed debian/rules and debhelper files accordingly
    + Added dummy package libpgjava for transition
  * Updated everything to the new source package structure
  * Updated copyright license and download location
  * Updated control file for minimum supported version 7.2
  * Deleted README.Debian - no longer needed
  * Dropped patches:
    + 01_getInfo_exception_fix.patch - JDBC 1 no longer implemented
    + 02_jikes_jdbc2-optional_compilefix.patch - no longer needed
  * Modified/New patches:
    + Renamed 03_BuildXml.patch to 01_BuildXml.patch and updated
    + 02_PSQLException_JDK13.patch (depends on 01_BuildXml.patch)
  * postgresql.jar now links to the JDBC 3 jar (added NEWS)
  * Changed build-dep libant1.6-java to ant (control, rules)
  * Standards-Version: 3.6.2 - no changes

  * Upload sponsored by Petter Reinholdtsen

 -- Wolfgang Baer <WBaer@gmx.de>  Wed, 10 Aug 2005 20:52:08 +0200

libpgjava (7.4.7-3) unstable; urgency=low

  * Built with sources...

 -- Arnaud Vandyck <avdyk@debian.org>  Thu, 21 Apr 2005 14:25:11 +0200

libpgjava (7.4.7-2) unstable; urgency=low

  * Build with free vm's:
    - Updated README.Debian
    - Included README.jdbc2-interface explaining why these old java.sql.*
      source files are included, why they are needed and from where they come.
  * Move to main (closes: #300753)
  * Added patch to fix jikes compile error in JDBC2 optional classes
    (02_jikes_jdbc2-optional_compilefix.patch)
  * Build JDBC2 with optional classes but without SSL support
    Building with SSL support would prevent running the JDBC2 driver on 
    jdk1.3 runtimes without SSL extensions or using the -Xverify:none flag  
  * Build.xml (03_BuildXml.patch):
    - Patched to allow explicit selection of JDBC specification
      with -Djdbc2=true or -Djdbc3=true arguments during build
    - Patched to allow explicit selection of SSL usage during
      compile time with -Dssl=true (JDBC2 build has to be built without SSL)
    - Patched to allow explicit selection of compile target version with
      -Dtarget=1.3 for JDBC2 and -Dtarget=1.4 for JDBC3 

 -- Wolfgang Baer <WBaer@gmx.de>  Tue, 19 Apr 2005 20:28:25 +0200

libpgjava (7.4.7-1) unstable; urgency=medium

  * New upstream release (closes: #275154)
    Changelog mentions jdbc fixes for 7.4.3 and 7.4.4
  * Changed debian/rules that only build once to prevent false compilation
    of jdbc2 driver with jdbc3 classes (closes: #302710)
  * avdyk: added Wolfgang and myself to the uploaders

 -- Wolfgang Baer <WBaer@gmx.de>  Sat,  2 Apr 2005 18:14:29 +0200

libpgjava (7.4.2-1) unstable; urgency=low

  * New upstream release (closes: #242448)
  * Apply patch from Adam Heath to fix NullPointerException in
    org.postgresql.jdbc1.AbstractJdbc1DatabaseMetaData.getIndexInfo()
    (closes: #238961)
  * Updated debian/copyright
  * Use libant1.6-java instead of libant1.5-java for building
  * 

 -- Stefan Gybas <sgybas@debian.org>  Mon, 19 Apr 2004 19:40:03 +0200

libpgjava (7.4-1) unstable; urgency=low

  * New upstream release (extracted from the source of PostgreSQL 7.4)
    + Fixes extraction of column width and decimal digits for numeric and
      decimal column types in AbstractJdbc1DatabaseMetaData (closes: #188510)
    + Fixes setting of FK_NAME in AbstractJdbc1DatabaseMetaData
      (closes: #197825)
  * Set Maintainer: to Debian Java Maintainers and added myself to uploaders


=== debian/control ===
Source: libpgjava
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Vandyck <avdyk@debian.org>, Matthias Klose <doko@ubuntu.com>, 
 Michael Koch <konqueror@gmx.de>, Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), java-gcj-compat-dev, ant, javahelper (>=0.32~) 
Build-Depends-Indep: libxerces2-java, default-jdk, default-jdk-doc
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libpgjava
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libpgjava
Homepage: http://jdbc.postgresql.org/

Package: libpg-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: postgresql (>= 8.2)
Conflicts: libpgjava (<= 7.4.7-3)
Provides: libpgjava
Replaces: libpgjava
Description: Java database (JDBC) driver for PostgreSQL
 Java classes for communication with the PostgreSQL 7.2 up to 8.4 database
 backend (local or remote) using JDBC. This package contains two Java archives
 (JARs), one that supports JDBC 3.0 and SSL (for JDK 1.4 and up) and one that 
 supports JDBC 4.0 and SSL (for JDK 1.6 and up).

Package: libpg-java-doc
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java database (JDBC) driver for PostgreSQL (documentation)
 Java classes for communication with the PostgreSQL 7.2 up to 8.4 database
 backend (local or remote) using JDBC. This package contains two Java archives
 (JARs), one that supports JDBC 3.0 and SSL (for JDK 1.4 and up) and one that 
 supports JDBC 4.0 and SSL (for JDK 1.6 and up).
 .
 This package contains the documentation.

=== debian/watch ===
version=3
http://jdbc.postgresql.org/download.html download/postgresql-jdbc-(8\..*)\.src\.tar\.gz

## libpgjava 9.1-901

=== debian/changelog ===
libpgjava (9.1-901-2) unstable; urgency=low

  * Provide transitional package libpg-java (closes: #659324)
  * Bump standards version to 3.9.3 (no changes).

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Fri, 20 Jul 2012 21:09:40 -0400

libpgjava (9.1-901-1) unstable; urgency=low

  * New upstream release. (closes: #645854)
  * Change binary package name to libpostgresql-jdbc-java.
      (closes: #336245)
  * Remove Michael Koch from Uploaders. (closes: #654090)
  * Bump standards version to 3.9.2 (no changes).

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sat, 24 Dec 2011 23:33:56 +0000

=== debian/control ===
Source: libpgjava
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Vandyck <avdyk@debian.org>, Matthias Klose <doko@ubuntu.com>, 
 Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends: debhelper (>= 7.0.50~), java-gcj-compat-dev, ant, javahelper (>=0.32~) 
Build-Depends-Indep: libxerces2-java, default-jdk, default-jdk-doc
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libpgjava
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libpgjava
Homepage: http://jdbc.postgresql.org/

Package: libpostgresql-jdbc-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: postgresql (>= 8.2)
Conflicts: libpgjava (<= 7.4.7-3), libpg-java (<= 9.1-901-1)
Provides: libpgjava, libpg-java
Replaces: libpgjava, libpg-java (<= 9.1-901-1)
Description: Java database (JDBC) driver for PostgreSQL
 Java classes for communication with the PostgreSQL 7.2 up to 9.1 database
 backend (local or remote) using JDBC. This package contains two Java archives
 (JARs), one that supports JDBC 3.0 and SSL (for JDK 1.4 and up) and one that 
 supports JDBC 4.0 and SSL (for JDK 1.6 and up).

Package: libpostgresql-jdbc-java-doc
Section: doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Conflicts: libpg-java-doc (<= 8.4-702-1)
Provides: libpg-java-doc
Replaces: libpg-java-doc
Description: Java database (JDBC) driver for PostgreSQL (documentation)
 Java classes for communication with the PostgreSQL 7.2 up to 8.4 database
 backend (local or remote) using JDBC. This package contains two Java archives
 (JARs), one that supports JDBC 3.0 and SSL (for JDK 1.4 and up) and one that 
 supports JDBC 4.0 and SSL (for JDK 1.6 and up).
 .
 This package contains the documentation.

Package: libpg-java
Architecture: all
Section: oldlibs
Priority: extra
Depends: libpostgresql-jdbc-java, ${misc:Depends}
Description: Transitional package for libpostgresql-jdbc-java
 This is a transitional package for libpg-java, and can be safely removed
 after the installation is complete.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for libpgjava (uses debhelper and javahelper)

%:
	dh $@ --with javahelper


override_dh_auto_build:
# build JDBC 3 with java-gcj
	ant clean
	JAVA_HOME=/usr/lib/jvm/java-gcj ant -Djdbc3=true -Dtarget=1.4 -Dsource=1.4 -Dssl=true jar
	mv jars/postgresql.jar postgresql-jdbc3.jar
# build JDBC 4 with default-java
	ant clean
	JAVA_HOME=/usr/lib/jvm/default-java ant -Djdbc4=true -Dtarget=1.6 -Dsource=1.6 -Dssl=true jar publicapi
	mv jars/postgresql.jar postgresql-jdbc4.jar


# remove the created jars in our clean
override_jh_clean:
	jh_clean
	rm -f postgresql-jdbc3.jar
	rm -f postgresql-jdbc4.jar

# add a symlink from postgresql.jar to postgresql-jdbc3.jar
# This maintains compatibility with the previous version of
# this package
override_jh_installlibs:
	jh_installlibs
	dh_link usr/share/java/postgresql-jdbc3.jar usr/share/java/postgresql.jar

## libpgjava 9.2-1002

=== debian/changelog ===
libpgjava (9.2-1002-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.4 (no changes).

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Sun, 12 May 2013 18:05:06 +0100

libpgjava (9.1-902-1) experimental; urgency=low

  [ Thomas Koch ]
  * new upstream version
  * switch packaging to git
  * update debhelper and compat to 9
  * use debian/clean
  * use PACKAGE.links to add symlink to *-jdbc3.jar
  * Install artifacts to /u/s/maven-repo (Closes: #683631)

  [ Andrew Ross ]
  * Update Vcs-Browser
  * Refresh patches
  * Remove Arnaud Vandyck from Uploaders

 -- Andrew Ross <ubuntu@rossfamily.co.uk>  Fri, 17 Aug 2012 22:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Arnaud Vandyck <avdyk@debian.org>, Matthias Klose <doko@ubuntu.com>, 
- Andrew Ross <ubuntu@rossfamily.co.uk>
-Build-Depends: debhelper (>= 7.0.50~), java-gcj-compat-dev, ant, javahelper (>=0.32~) 
+Uploaders: Matthias Klose <doko@ubuntu.com>, Andrew Ross <ubuntu@rossfamily.co.uk>
+Build-Depends: debhelper (>= 9), java-gcj-compat-dev, ant, javahelper (>=0.32~),
+ maven-repo-helper (>= 1.7.1)
 Build-Depends-Indep: libxerces2-java, default-jdk, default-jdk-doc
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libpgjava
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libpgjava
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-java/libpostgresql-jdbc-java.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/libpostgresql-jdbc-java.git
 Homepage: http://jdbc.postgresql.org/
 
 Package: libpostgresql-jdbc-java

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE:=libpostgresql-jdbc-java
POMFILE:=debian/$(PACKAGE).pom

MAJOR_VERSION:=$(shell dpkg-parsechangelog | sed -n -e 's/^Version: *\([^-]\+\)-.*/\1/p')
VJDBC3:=$(MAJOR_VERSION).jdbc3
VJDBC4:=$(MAJOR_VERSION).jdbc4

%:
	dh $@ --with javahelper

override_dh_auto_build:
# build JDBC 3 with java-gcj
	ant clean
	JAVA_HOME=/usr/lib/jvm/java-gcj ant -Djdbc3=true -Dtarget=1.4 -Dsource=1.4 -Dssl=true jar
	mv jars/postgresql.jar postgresql-jdbc3.jar
# build JDBC 4 with default-java
	ant clean
	JAVA_HOME=/usr/lib/jvm/default-java ant -Djdbc4=true -Dtarget=1.6 -Dsource=1.6 -Dssl=true jar publicapi
	mv jars/postgresql.jar postgresql-jdbc4.jar

override_dh_auto_install:
# install jdbc4 first so that the postgresql.jar symlink points to jdbc3
	mh_installpom -p$(PACKAGE) -e$(VJDBC4) --no-rules $(POMFILE)
	mh_installjar -p$(PACKAGE) -e$(VJDBC4) --java-lib --usj-name=postgresql-jdbc4 --usj-version=$(MAJOR_VERSION) $(POMFILE) postgresql-jdbc4.jar
	mh_installpom -p$(PACKAGE) -e$(VJDBC3) --no-rules $(POMFILE)
	mh_installjar -p$(PACKAGE) -e$(VJDBC3) --java-lib --usj-name=postgresql-jdbc3 --usj-version=$(MAJOR_VERSION) $(POMFILE) postgresql-jdbc3.jar

override_dh_auto_clean:
	dh_auto_clean
	mh_clean

=== debian/watch ===
version=3
http://jdbc.postgresql.org/download.html download/postgresql-jdbc-(.*)\.src\.tar\.gz

## libpgjava 9.4.1212

=== debian/changelog ===
libpgjava (9.4.1212-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #813365)
    - Refreshed the patches
    - Build with Maven instead of Ant
  * No longer build the JDBC 3 jar, default to JDBC 4 (Closes: #820943, #820942)
  * Updated the package description (Closes: #783456)
  * Removed the dummy libpg-java package
  * Removed the suggested dependency on postgresql
  * Standards-Version updated to 3.9.8
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs
  * Converted debian/copyright to the Copyright Format 1.0
  * Rewrote debian/watch to fetch the new releases directly from Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 09 Jan 2017 19:54:54 +0100

=== debian/control ===
Source: libpgjava
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klose <doko@ubuntu.com>,
 Andrew Ross <ubuntu@rossfamily.co.uk>
Build-Depends:
 debhelper (>= 10),
 libbuild-helper-maven-plugin-java,
 libcomment-preprocessor-java,
 libmaven-bundle-plugin-java,
 libmaven-javadoc-plugin-java,
 libproperties-maven-plugin-java,
 maven-debian-helper
Build-Depends-Indep:
 default-jdk,
 default-jdk-doc,
 libxerces2-java
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libpostgresql-jdbc-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libpostgresql-jdbc-java.git
Homepage: http://jdbc.postgresql.org/

Package: libpostgresql-jdbc-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Conflicts: libpgjava (<= 7.4.7-3), libpg-java (<= 9.1-901-1)
Provides: libpgjava, libpg-java
Replaces: libpgjava, libpg-java (<= 9.1-901-1)
Description: Java database (JDBC) driver for PostgreSQL
 PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL
 database (8.4 or later) using standard, database independent Java code.
 It is an open source JDBC driver written in Pure Java (Type 4), and
 communicates in the PostgreSQL native network protocol.

Package: libpostgresql-jdbc-java-doc
Section: doc
Architecture: all
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Conflicts: libpg-java-doc (<= 8.4-702-1)
Provides: libpg-java-doc
Replaces: libpg-java-doc
Description: Java database (JDBC) driver for PostgreSQL (documentation)
 PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL
 database (8.4 or later) using standard, database independent Java code.
 It is an open source JDBC driver written in Pure Java (Type 4), and
 communicates in the PostgreSQL native network protocol.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- package
	dh_auto_build -- javadoc:javadoc

=== debian/watch ===
version=4
opts=mode=git,compression=xz,repack,uversionmangle=s/(\d)_(\d)_/$1.$2-/g \
https://github.com/pgjdbc/pgjdbc refs/tags/REL([\d_\.]+)

## libpgjava 42.2.2

=== debian/changelog ===
libpgjava (42.2.2-4.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 06 Jun 2018 14:42:47 +0200

libpgjava (42.2.2-4) unstable; urgency=medium

  * pgjdbc/pom.xml: "provided" made the shade plugin also remove the bundled
    scram dependency. Revert that change, and declare the dependency to be
    "optional" instead. That way, we bundle scram, and do not require
    reverse-dependencies to install libscram-java. Again thanks Emmanuel Bourg!

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 06 Jun 2018 14:42:47 +0200

libpgjava (42.2.2-3) unstable; urgency=medium

  * pgjdbc/pom.xml: Manually patch scram dependency scope to be "provided"
    instead of relying on maven.rules. (Closes: #900615, induced by #900763,
    thanks Emmanuel Bourg.)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 05 Jun 2018 09:47:56 +0200

libpgjava (42.2.2-2) unstable; urgency=medium

  * debian/maven.rules: Set scram scope to "provided" to properly remove the
    runtime dependency on libscram-java. Thanks Kai-Chung Yan!
  * Mark as Multi-Arch: foreign.
  * libpostgresql-jdbc-java embeds classes from libscram-java. Note the
    version used in Built-Using.

 -- Christoph Berg <myon@debian.org>  Tue, 29 May 2018 23:13:10 +0200

libpgjava (42.2.2-1) unstable; urgency=medium

  * New upstream version.
    + Fixes test problen in pgpool2: WARNING: An illegal reflective access
      operation has occurred (Closes: #894327)
  * Add myself and pkg-postgresql to Uploaders.
  * Refresh debian/patches/01-missing-pom-configuration.patch.
  * Add B-D libmaven-shade-plugin-java and libscram-java.
  * libjdbc-postgresql-java: remove ${maven:Depends}, it would resolve to
    libscram-java (>> $ver) which is bundled in postgresql.jar anyway.
  * debian/maven.properties: Switch to source 8 to enable lambda expressions.
  * debian/tests/: Test scram-sha-256 authentication using sqlline.
  * Update Vcs URLs and Standards-Version.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Apr 2018 22:29:11 +0200

## libpgjava 42.2.4

=== debian/changelog ===
libpgjava (42.2.4-1.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 18 Jul 2018 13:11:13 +0200

libpgjava (42.2.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/libpostgresql-jdbc-java.poms: Remove ubenchmark, gone from source.
  * debian/watch: Fetch upstream tarball from github.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 18 Jul 2018 13:11:13 +0200

## libpgjava 42.2.5

=== debian/changelog ===
libpgjava (42.2.5-2+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2024-1597:
    A possible SQL injection vulnerability was found in libpgjava, the
    PostgreSQL JDBC Driver. It allows an attacker to inject SQL if using
    PreferQueryMode=SIMPLE which is not the default mode. In the default mode
    there is no vulnerability.

 -- Markus Koschany <apo@debian.org>  Thu, 09 May 2024 22:40:41 +0200

libpgjava (42.2.5-2+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix createTempFile vulnerability on unix like
    systems where temporary files can be read by other users
    on the system. (Fixes: CVE-2022-41946)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 03 Dec 2022 02:27:18 +0530

libpgjava (42.2.5-2+deb10u2) buster-security; urgency=high

  * CVE-2022-31197: Prevent a SQL injection vulnerability caused by the lack of
    escaping of column names. A malicious user could have crafted a schema that
    caused an application to execute commands as a privileged user.
    (Closes: #1016662)

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Oct 2022 10:46:08 -0700

libpgjava (42.2.5-2+deb10u1) buster-security; urgency=high

  * Team upload.
  * Fix CVE-2022-26520:
    An attacker (who controls the jdbc URL or properties) can call
    java.util.logging.FileHandler to write to arbitrary files through the
    loggerFile and loggerLevel connection properties.
  * Fix CVE-2022-21724:
    The JDBC driver did not verify if certain classes implemented the expected
    interface before instantiating the class. This can lead to code execution
    loaded via arbitrary classes.
  * CVE-2020-13692: Fix XXE vulnerability in PgSQLXML by disabling external
    access and doctypes. (Closes: #962828)

 -- Markus Koschany <apo@debian.org>  Sun, 03 Jul 2022 23:59:18 +0200

libpgjava (42.2.5-2) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Feb 2019 10:54:50 +0100

libpgjava (42.2.5-1) unstable; urgency=medium

  * New upstream security release: added server hostname verification for
    non-default SSL factories in `sslmode=verify-full` (CVE-2018-10936)
    https://github.com/pgjdbc/pgjdbc/commit/cdeeaca47dc3bc6f727c79a582c9e4123099526e

 -- Christoph Berg <myon@debian.org>  Mon, 27 Aug 2018 21:20:17 +0200

libpgjava (42.2.4-2) unstable; urgency=medium

  * Ignore javadoc warnings, they are for unused files anyway. (Closes: #906377)

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 27 Aug 2018 16:55:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,8 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
+ Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>,
+ Christoph Berg <myon@debian.org>,
  Matthias Klose <doko@ubuntu.com>,
  Andrew Ross <ubuntu@rossfamily.co.uk>
 Build-Depends:
@@ -11,24 +13,29 @@
  libcomment-preprocessor-java,
  libmaven-bundle-plugin-java,
  libmaven-javadoc-plugin-java,
+ libmaven-shade-plugin-java,
  libproperties-maven-plugin-java,
+ libscram-java,
  maven-debian-helper
 Build-Depends-Indep:
  default-jdk,
  default-jdk-doc,
  libxerces2-java
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libpostgresql-jdbc-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libpostgresql-jdbc-java.git
-Homepage: http://jdbc.postgresql.org/
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libpostgresql-jdbc-java
+Homepage: https://jdbc.postgresql.org/
 
 Package: libpostgresql-jdbc-java
 Architecture: all
+Multi-Arch: foreign
 Depends: ${maven:Depends}, ${misc:Depends}
-Recommends: ${maven:OptionalDepends}
+# No "Recommends: ${maven:OptionalDepends}" here because that would point at
+# libscram-java which we bundle
 Conflicts: libpgjava (<= 7.4.7-3), libpg-java (<= 9.1-901-1)
 Provides: libpgjava, libpg-java
 Replaces: libpgjava, libpg-java (<= 9.1-901-1)
+Built-Using: ${builtUsing}
 Description: Java database (JDBC) driver for PostgreSQL
  PostgreSQL JDBC Driver allows Java programs to connect to a PostgreSQL
  database (8.4 or later) using standard, database independent Java code.
@@ -38,6 +45,7 @@
 Package: libpostgresql-jdbc-java-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${maven:DocDepends}, ${misc:Depends}
 Recommends: ${maven:DocOptionalDepends}
 Conflicts: libpg-java-doc (<= 8.4-702-1)

## libpgjava 42.2.6

=== debian/changelog ===
libpgjava (42.2.6-1) unstable; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jul 2019 23:37:13 +0200

## libpgjava 42.2.8

=== debian/changelog ===
libpgjava (42.2.8-1.pgdg19.10+1) eoan-pgdg; urgency=medium

  * Rebuild for eoan-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 Sep 2019 15:33:59 +0200

libpgjava (42.2.8-1) unstable; urgency=medium

  * New upstream version.
  * Disable karaf feature, not yet available in Debian.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2019 15:33:59 +0200

## libpgjava 42.2.9

=== debian/changelog ===
libpgjava (42.2.9-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 Dec 2019 11:47:04 +0100

libpgjava (42.2.9-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Dec 2019 11:47:04 +0100

## libpgjava 42.2.10

=== debian/changelog ===
libpgjava (42.2.10-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Feb 2020 11:20:53 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  default-jdk,
  default-jdk-doc,
  libxerces2-java
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libpostgresql-jdbc-java
 Homepage: https://jdbc.postgresql.org/

=== debian/watch ===
version=4
https://github.com/pgjdbc/pgjdbc/releases .*/REL([\d\.]+).tar.gz

## libpgjava 42.2.11

=== debian/changelog ===
libpgjava (42.2.11-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 Mar 2020 10:00:13 +0100

libpgjava (42.2.11-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Mar 2020 10:00:13 +0100

## libpgjava 42.2.12

=== debian/changelog ===
libpgjava (42.2.12-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/05-cve-2020-13692.patch: New patch, fixes XML External
    Entitiy (XXE) injection (CVE-2020-13692, Closes: #962828).
    https://github.com/pgjdbc/pgjdbc/commit/14b62aca4764d496813f55a43d050b017e01eb65

 -- Michael Banck <michael.banck@credativ.de>  Tue, 23 Jun 2020 16:07:07 +0200

libpgjava (42.2.12-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Apr 2020 09:49:54 +0200

## libpgjava 42.2.15

=== debian/changelog ===
libpgjava (42.2.15-1+deb11u1) bullseye-security; urgency=high

  * Team upload.
  * Fix CVE-2022-26520:
    An attacker (who controls the jdbc URL or properties) can call
    java.util.logging.FileHandler to write to arbitrary files through the
    loggerFile and loggerLevel connection properties.
  * Fix CVE-2022-21724:
    The JDBC driver did not verify if certain classes implemented the expected
    interface before instantiating the class. This can lead to code execution
    loaded via arbitrary classes.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jul 2022 14:33:43 +0200

libpgjava (42.2.15-1) unstable; urgency=medium

  * New upstream version.
    + Fixes XML External Entitiy (XXE) injection (CVE-2020-13692).
      https://cheatsheetseries.owasp.org/cheatsheets/XML_External_Entity_Prevention_Cheat_Sheet.html
  * Switch to src tarballs from maven repo, the upstream git repo tarballs
    need gradle to compile. (https://github.com/pgjdbc/pgjdbc/issues/1440)
  * Force doc build to be in English.
  * Remove missing test dependencies:
     classloader-leak-test-framework: Not packaged
     junit: Packaged, but mvn doesn't find it
     jupiter: Missing on older distributions.
  * Defang package-contains-ancient-file caused by 1970 README.md.
  * Test both md5 and scram-sha-256 connections.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Aug 2020 13:49:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

# force doc build to be in English
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- package
	dh_auto_build -- javadoc:javadoc
	# defang package-contains-ancient-file
	touch README.md

override_dh_gencontrol:
	# the resulting .jar embeds classes from libscram-java. Note the version in Built-Using
	dh_gencontrol -- -VbuiltUsing='libscram-java (= $(shell dpkg-query --show --showformat '$${Version}' libscram-java))'

=== debian/watch ===
version=4
https://repo1.maven.org/maven2/org/postgresql/postgresql/(\d[\d.]+)/postgresql-([\d.]+)-src.tar.gz

## libpgjava 42.2.20

=== debian/changelog ===
libpgjava (42.2.20-1.pgdg21.04+1) hirsute-pgdg; urgency=medium

  * Rebuild for hirsute-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 23 Apr 2021 18:09:11 +0200

libpgjava (42.2.20-1) unstable; urgency=medium

  * New upstream version 42.2.20.
  * Update watch file for updated -jdbc-src.tar.gz names.
  * Bump B-D on libscram-java to 2.1.

 -- Christoph Berg <myon@debian.org>  Fri, 23 Apr 2021 18:09:11 +0200

## libpgjava 42.2.22

=== debian/changelog ===
libpgjava (42.2.22-1.pgdg21.04+1) hirsute-pgdg; urgency=medium

  * Rebuild for hirsute-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 30 Jun 2021 13:35:21 +0200

libpgjava (42.2.22-1) unstable; urgency=medium

  * New upstream version 42.2.22.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 13:35:21 +0200

## libpgjava 42.2.23

=== debian/changelog ===
libpgjava (42.2.23-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 27 Jul 2021 17:05:40 +0200

libpgjava (42.2.23-1) unstable; urgency=medium

  * New upstream version 42.2.23.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Jul 2021 17:05:40 +0200

## libpgjava 42.2.24

=== debian/changelog ===
libpgjava (42.2.24-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 29 Sep 2021 11:53:54 +0200

libpgjava (42.2.24-1) unstable; urgency=medium

  * New upstream version 42.2.24.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Sep 2021 11:53:54 +0200

## libpgjava 42.3.1

=== debian/changelog ===
libpgjava (42.3.1-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Nov 2021 16:53:04 +0100

libpgjava (42.3.1-1) unstable; urgency=medium

  * New upstream version 42.3.1.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 16:53:04 +0100

## libpgjava 42.3.2

=== debian/changelog ===
libpgjava (42.3.2-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 04 Feb 2022 10:58:43 +0100

libpgjava (42.3.2-1) unstable; urgency=medium

  * New upstream version 42.3.2.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Feb 2022 10:58:43 +0100

## libpgjava 42.3.3

=== debian/changelog ===
libpgjava (42.3.3-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 17 Feb 2022 13:08:38 +0100

libpgjava (42.3.3-1) unstable; urgency=medium

  * New upstream version 42.3.3.
    https://github.com/pgjdbc/pgjdbc/security/advisories/GHSA-673j-qm5f-xpv8

 -- Christoph Berg <myon@debian.org>  Thu, 17 Feb 2022 13:08:38 +0100

## libpgjava 42.3.4

=== debian/changelog ===
libpgjava (42.3.4-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 02 May 2022 15:56:41 +0200

libpgjava (42.3.4-1) unstable; urgency=medium

  * New upstream version 42.3.4.

 -- Christoph Berg <myon@debian.org>  Mon, 02 May 2022 15:56:41 +0200

## libpgjava 42.3.5

=== debian/changelog ===
libpgjava (42.3.5-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 06 May 2022 16:51:03 +0200

libpgjava (42.3.5-1) unstable; urgency=medium

  * New upstream version 42.3.5.

 -- Christoph Berg <myon@debian.org>  Fri, 06 May 2022 16:51:03 +0200

## libpgjava 42.4.0

=== debian/changelog ===
libpgjava (42.4.0-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jun 2022 15:18:49 +0200

libpgjava (42.4.0-1) unstable; urgency=medium

  * New upstream version 42.4.0.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Jun 2022 15:18:49 +0200

libpgjava (42.3.6-1) unstable; urgency=medium

  * New upstream version 42.3.6.

 -- Christoph Berg <myon@debian.org>  Fri, 27 May 2022 14:56:40 +0200

## libpgjava 42.4.1

=== debian/changelog ===
libpgjava (42.4.1-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 08 Aug 2022 14:53:28 +0200

libpgjava (42.4.1-1) unstable; urgency=medium

  * New upstream version 42.4.1

    Fixes SQL generated in PgResultSet.refresh() to escape column identifiers
    so as to prevent SQL injection.
    (Closes: #1016662, CVE-2022-31197, reported by Sho Kato)

    Previously, the column names for both key and data columns in the table
    were copied as-is into the generated SQL. This allowed a malicious table
    with column names that include statement terminator to be parsed and
    executed as multiple separate commands.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 14:53:28 +0200

## libpgjava 42.4.2

=== debian/changelog ===
libpgjava (42.4.2-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 22 Aug 2022 14:24:18 +0200

libpgjava (42.4.2-1) unstable; urgency=medium

  * New upstream version 42.4.2.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Aug 2022 14:24:18 +0200

## libpgjava 42.5.0

=== debian/changelog ===
libpgjava (42.5.0-1.pgdg22.10+1) kinetic-pgdg; urgency=medium

  * Rebuild for kinetic-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 26 Aug 2022 12:06:57 +0200

libpgjava (42.5.0-1) unstable; urgency=medium

  * New upstream version 42.5.0.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Aug 2022 12:06:57 +0200

## libpgjava 42.5.1

=== debian/changelog ===
libpgjava (42.5.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 24 Nov 2022 12:54:21 +0100

libpgjava (42.5.1-1) unstable; urgency=medium

  * New upstream version 42.5.1, fixes CVE-2022-41946.

 -- Christoph Berg <myon@debian.org>  Thu, 24 Nov 2022 12:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,20 +8,20 @@
  Matthias Klose <doko@ubuntu.com>,
  Andrew Ross <ubuntu@rossfamily.co.uk>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 12),
  libbuild-helper-maven-plugin-java,
  libcomment-preprocessor-java,
  libmaven-bundle-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-shade-plugin-java,
  libproperties-maven-plugin-java,
- libscram-java,
+ libscram-java (>= 2.1),
  maven-debian-helper
 Build-Depends-Indep:
  default-jdk,
  default-jdk-doc,
  libxerces2-java
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/java-team/libpostgresql-jdbc-java.git
 Vcs-Browser: https://salsa.debian.org/java-team/libpostgresql-jdbc-java
 Homepage: https://jdbc.postgresql.org/

## libpgjava 42.5.4

=== debian/changelog ===
libpgjava (42.5.4-1.pgdg23.04+1) lunar-pgdg; urgency=medium

  * Rebuild for lunar-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 17 Feb 2023 18:19:35 +0100

libpgjava (42.5.4-1) unstable; urgency=medium

  * New upstream version 42.5.4.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Feb 2023 18:19:35 +0100

libpgjava (42.5.3-1) unstable; urgency=medium

  * New upstream version 42.5.3.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Feb 2023 11:26:33 +0100

## libpgjava 42.5.5

=== debian/changelog ===
libpgjava (42.5.5-0+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - CVE-2024-1597: SQL Injection via line comment generation

 -- Adrian Bunk <bunk@debian.org>  Wed, 18 Dec 2024 21:11:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Matthias Klose <doko@ubuntu.com>,
  Andrew Ross <ubuntu@rossfamily.co.uk>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libbuild-helper-maven-plugin-java,
  libcomment-preprocessor-java,
  libmaven-bundle-plugin-java,
